Company logoTrust Center Documentation
API v1 ReferenceUpdatesIdSchedule

Schedule update

Schedule a draft or already scheduled update for publication. The scheduled time is interpreted in `scheduled_timezone`, which must be an IANA timezone such…

Schedule a draft or already scheduled update for publication. The scheduled time is interpreted in scheduled_timezone, which must be an IANA timezone such as Europe/Berlin or America/New_York. The update must meet the same readiness requirements as publishing. Lifecycle fields other than scheduled_at and scheduled_timezone are rejected.

POST
/api/v1/updates/{id}/schedule

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Update ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://app.orbiqhq.com/api/v1/updates/string/schedule" \  -H "Content-Type: application/json" \  -d '{    "scheduled_at": "2026-06-15T09:00:00",    "scheduled_timezone": "Europe/Berlin"  }'
{
  "success": true,
  "data": {
    "update": {
      "id": "string",
      "title": "string",
      "slug": "string",
      "summary": "string",
      "description_md": "string",
      "status": "draft",
      "classification": "string",
      "access_level": "public",
      "send_mode": "none",
      "channels": [
        "trust_center"
      ],
      "scheduled_at": "2019-08-24T14:15:22Z",
      "scheduled_timezone": "Europe/Berlin",
      "published_at": "2019-08-24T14:15:22Z",
      "effective_at": "2019-08-24T14:15:22Z",
      "effective_timezone": "America/New_York",
      "order": "asc",
      "parent": "string",
      "template": "string",
      "documents": [
        {
          "id": "string",
          "documents_id": "string"
        }
      ],
      "subprocessors": [
        {
          "id": "string",
          "subprocessors_id": "string"
        }
      ]
    }
  }
}
Empty
Empty
Empty

How is this guide?